// 公共路由（任何身份都可以访问的路由 如：商城）

import headhunting from './components/headhunting'

const common = [
  {
    path: '', // 门墩项目列表/项目入口页
    redirect: '/recruitHome',
    children: [
      { path: '/', redirect: '/recruitHome' },
      {
        path: '/entrances',
        component: () => import('@/views/entrances/index'),
        meta: {
          title: '门墩儿应用中心'
        }
      }
    ]
  },
  // { // 暂停维护
  //   path: '/shareJob',
  //   name: 'shareJob',
  //   meta: {
  //     title: '分享职位'
  //   },
  //   component: () => import('@/views/recruit/personal/shareJob/index.vue')
  // },
  // 邀请页
  {
    path: '/invite',
    name: 'invite',
    meta: {
      title: '成员邀请'
    },
    component: () => import('@/views/recruit/enterprise/systemManagement/groupAccount/inviteConfirm.vue')
  },
  // 邀请页
  {
    path: '/enterpriseInvite',
    name: 'enterpriseInvite',
    meta: {
      title: '分支机构邀请'
    },
    component: () => import('@/views/recruit/enterprise/systemManagement/groupAccount/inviteConfirmEnt.vue')
  },
  {
    path: '/recruit/entRegister',
    // component: Layout,
    name: 'enterpriseRegister',
    children: [
      {
        path: '/recruit/entRegister',
        component: () => import('@/views/recruit/entRegister/register.vue'),
        meta: {
          title: '注册新企业'
        },
      },
      {
        path: '/recruit/entRegister/joiningEnterprise',
        component: () => import('@/views/recruit/entRegister/joiningEnterprise'),
        meta: {
          title: '加入企业'
        }
      },
      {
        path: '/recruit/entRegister/inReview',
        component: () => import('@/views/recruit/entRegister/inReview.vue'),
        meta: {
          title: '申请信息'
        }
      }
    ]
  },
  {
    path: '/recruit/personal/advertisement/:id',
    name: 'advertisementPreferred',
    component: () => import('@/views/recruit/personal/home/components/advertisement/preferred.vue')
  },
  {
    path: '/recruit/enterprise/talentRecommendation',
    component: () => import('@/views/recruit/enterprise/talentRecommendation/index.vue'),
    name: 'talentRecommendation',
    meta: {
      title: '人才推荐'
    }
  },
  {
    path: '/recruit/enterprise/talentRecommendation/details/:id',
    component: () => import('@/views/recruit/enterprise/talentRecommendation/details'),
    name: 'talentRecommendationDetails',
    meta: {
      title: '人才详情',
      hideSide: true
    }
  },
  {
    path: '/domainNameTest',
    component: () => import('@/views/domainName'),
    name: 'domainName',
    meta: {
      title: '访问配置业务域名',
      hideSide: true
    }
  },
  ...headhunting
]

export default common
